flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-6853) Migrating from Flink 1.1 fails for FlinkCEP
Date Tue, 06 Jun 2017 08:49:18 GMT

    [ https://issues.apache.org/jira/browse/FLINK-6853?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16038397#comment-16038397
] 

ASF GitHub Bot commented on FLINK-6853:
---------------------------------------

GitHub user tzulitai opened a pull request:

    https://github.com/apache/flink/pull/4079

    [FLINK-6853] [DataStream] Let StreamRecordSerializer be compatible with MultiplexingStreamRecordSerializer

    This PR lets `StreamRecordSerializer.ensureCompatibility` be tolerable for config snapshots
taken from the legacy `MultiplexingStreamRecordSerializer`. This is required for users which
originally used `MultiplexingStreamRecordSerializer` to serialize stream elements as part
of their checkpointed state (e.g. FlinkCEP).


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/tzulitai/flink FLINK-6853

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/flink/pull/4079.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #4079
    
----
commit 54f5a33f8fb88d2219f06b6b874921d1d063ddca
Author: Tzu-Li (Gordon) Tai <tzulitai@apache.org>
Date:   2017-06-06T08:41:03Z

    [FLINK-6853] [DataStream] Let StreamRecordSerializer be compatible with MultiplexingStreamRecordSerializer
    
    This commit lets StreamRecordSerializer.ensureCompatibility be tolerable
    for config snapshots taken from the legacy
    MultiplexingStreamRecordSerializer. This is required for users which
    originally used MultiplexingStreamRecordSerializer to serialize stream
    elements as part of their checkpointed state (e.g. FlnkCEP).

----


> Migrating from Flink 1.1 fails for FlinkCEP
> -------------------------------------------
>
>                 Key: FLINK-6853
>                 URL: https://issues.apache.org/jira/browse/FLINK-6853
>             Project: Flink
>          Issue Type: Bug
>          Components: CEP
>    Affects Versions: 1.3.0
>            Reporter: Tzu-Li (Gordon) Tai
>            Assignee: Tzu-Li (Gordon) Tai
>
> Migrating from Flink 1.1 fails for CEP, since in 1.1, the legacy {{MultiplexingStreamRecordSerializer}}
is used for stream  elements in the serialized priority queue (via the {{PriorityQueueSerializer}}).
> In newer versions, the {{StreamElementSerializer}} is used instead. For this to work,
we need to implement the compatibility methods for {{StreamElementSerializer}} such that it
is also compatible with configuration snapshots taken from the {{MultiplexingStreamRecordSerializer}}.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message